## python-moto 5.0.11

=== Makefile ===
SHELL := /bin/bash

SERVICE_NAME = "default"
TEST_NAMES = "*"

ifeq ($(TEST_SERVER_MODE), true)
	# Exclude parallel tests
	TEST_EXCLUDE := --ignore tests/test_acm --ignore tests/test_amp --ignore tests/test_awslambda --ignore tests/test_batch --ignore tests/test_ec2 --ignore tests/test_sqs
	# Parallel tests will be run separate
	PARALLEL_TESTS := ./tests/test_acm/ ./tests/test_acmpca/ ./tests/test_amp/ ./tests/test_awslambda ./tests/test_batch ./tests/test_ec2 ./tests/test_sqs
else
	TEST_EXCLUDE := --ignore tests/test_batch --ignore tests/test_ec2 --ignore tests/test_sqs
	PARALLEL_TESTS := ./tests/test_batch ./tests/test_ec2 ./tests/test_sqs
endif

init:
	@pip install -e .
	@pip install -r requirements-dev.txt

lint:
	@echo "Running ruff..."
	ruff check moto tests
	ruff format --check moto tests
	@echo "Running pylint..."
	pylint -j 0 moto tests
	@echo "Running MyPy..."
	mypy --install-types --non-interactive

format:
	ruff format moto/ tests/
	ruff check --fix moto/ tests/

test-only:
	rm -f .coverage
	rm -rf cover
	pytest -sv -rs --cov=moto --cov-report xml ./tests/ $(TEST_EXCLUDE)
	# https://github.com/aws/aws-xray-sdk-python/issues/196 - Run these tests separately without Coverage enabled
	pytest -sv -rs ./tests/test_xray
	MOTO_CALL_RESET_API=false pytest -sv --cov=moto --cov-report xml --cov-append -n 4 $(PARALLEL_TESTS) --dist loadscope

test: lint test-only

test_server:
	@TEST_SERVER_MODE=true pytest -sv --cov=moto --cov-report xml ./tests/

aws_managed_policies:
	scripts/update_managed_policies.py

implementation_coverage:
	./scripts/implementation_coverage.py
	git commit IMPLEMENTATION_COVERAGE.md -m "Updating implementation coverage" || true

cloudformation_coverage:
	./scripts/cloudformation_coverage.py
	git commit CLOUDFORMATION_COVERAGE.md -m "Updating CloudFormation coverage" || true

coverage: implementation_coverage cloudformation_coverage

scaffold:
	@pip install -r requirements-dev.txt > /dev/null
	exec python scripts/scaffold.py

int_test:
	@./scripts/int_test.sh

=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
readthedocs-sphinx-search

# Modules necessary to import individual classes and read the docstrings
docker
openapi_spec_validator
PyYAML>=5.1
joserfc>=0.9.0

=== debian/changelog ===
python-moto (5.0.11-3) unstable; urgency=medium

  * Team upload.

  [ Bastian Germann ]
  * Fill Description

  [ Jochen Sprickerhof ]
  * Drop unused build dependency on python3-ruff
  * Fix lintian insecure-copyright-format-uri
  * Use debhelper-compat 13 and dh-sequence-python3
  * Add Rules-Requires-Root: no
  * Switch to declarative Testsuite: autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Nov 2024 10:31:41 +0100

python-moto (5.0.11-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2024 10:10:42 +0200

python-moto (5.0.11-1) unstable; urgency=medium

  * Initial release. (Closes: #777089)

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Aug 2024 04:42:10 +0200

=== debian/control ===
Source: python-moto
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aws-xray-sdk,
 python3-boto3,
 python3-botocore,
 python3-build,
 python3-click,
 python3-cryptography,
 python3-dateutil,
 python3-docker,
 python3-flask,
 python3-flask-cors,
 python3-freezegun,
 python3-graphql-core,
 python3-inflection,
 python3-jinja2,
 python3-joserfc,
 python3-jsondiff,
 python3-jsonpath-ng,
 python3-lxml,
 python3-multipart,
 python3-mypy,
 python3-openapi-spec-validator,
 python3-packaging,
 python3-prompt-toolkit,
 python3-pyparsing,
 python3-pytest,
 python3-requests,
 python3-responses,
 python3-typing-extensions,
 python3-werkzeug,
 python3-xmltodict,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moto
Vcs-Git: https://salsa.debian.org/python-team/packages/python-moto.git
Homepage: https://github.com/getmoto/moto
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-moto
Architecture: all
Depends:
 python3-antlr4,
 python3-boto3,
 python3-botocore,
 python3-cryptography,
 python3-dateutil,
 python3-flask,
 python3-jinja2,
 python3-requests,
 python3-responses,
 python3-werkzeug,
 python3-xmltodict,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-aws-xray-sdk,
 python3-docker,
 python3-graphql-core,
 python3-joserfc,
 python3-jsondiff,
 python3-jsonpath-ng,
 python3-multipart,
 python3-openapi-spec-validator,
 python3-pyparsing,
 python3-yaml,
Description: Moto - Mock AWS Service - Python 3.x
 A library that allows you to easily mock out tests based on AWS infrastructure.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/getmoto/moto.git
include /usr/share/openstack-pkg-tools/pkgos.make

# This is a first approach. Please contribute to fix these
# and remove all the ignores. Note that some are doing
# network access to AWS, so they can't be removed.
export PYBUILD_TEST_ARGS= --ignore tests/test_awslambda/test_lambda_eventsourcemapping.py \
			--ignore tests/test_awslambda/test_lambda_invoke.py \
			--ignore tests/test_batch/test_batch_jobs.py \
			--ignore tests/test_cloudformation/* \
			--ignore tests/test_dynamodb/test_dynamodb_import_table.py \
			--ignore tests/test_dynamodb/test_dynamodb_statements.py \
			--ignore tests/test_s3/test_s3_select.py \
			--ignore tests/test_s3/test_s3_lambda_integration.py \
			--ignore tests/test_cloudformation/test_validate.py \
			-k 'not test_create_custom_lambda_resource__verify_cfnresponse_failed and not test_lambda_function and not test_boto3_json_validate_successful and not test_boto3_json_with_tabs_validate_successful and not test_boto3_json_invalid_missing_resource and not test_boto3_yaml_validate_successful and not test_boto3_yaml_validate_template_url_successful and not test_boto3_yaml_invalid_missing_resource'

%:
	dh $@ --buildsystem=pybuild

## python-moto 5.1.1

=== requirements.txt ===
certifi==2023.7.22
charset-normalizer==3.2.0
idna==3.4
requests==2.31.0
urllib3==2.0.4

=== debian/changelog ===
python-moto (5.1.1-4) unstable; urgency=medium

  * Add patch to make the package reproducible, thanks to Chris Lamb
    (Closes: #1100977).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 16:23:22 +0100

python-moto (5.1.1-3) unstable; urgency=medium

  * Team upload.
  * Ignore tests/test_route53domains/test_route53domains_domain.py on i386,
    since even collecting its tests involves constructing a timestamp after
    2038.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 10:35:11 +0000

python-moto (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Reorganize test exclusions and enable as many tests as possible.
  * test_cognitoidp: Load jwks-public.json using load_resource.
  * Remove unnecessary build-dependency on python3-ruff, which isn't in
    testing.
  * Merge 5.0.11-3.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Mar 2025 13:03:19 +0000

python-moto (5.1.1-1) unstable; urgency=medium

  * New upstream release:
    - fixes smart-open FTBFS (Closes: #1095392).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 13:39:04 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,8 @@
  python3-openapi-spec-validator,
  python3-packaging,
  python3-prompt-toolkit,
+ python3-pycognito,
+ python3-pyotp,
  python3-pyparsing,
  python3-pytest,
  python3-requests,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

UPSTREAM_GIT := https://github.com/getmoto/moto.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy :=
export https_proxy :=
export PYBUILD_TEST_ARGS := -m 'not network and not requires_docker' tests
export PYBUILD_AFTER_TEST := rm -fv {build_dir}/moto_recording

# Requires unpackaged cfnlint.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_cloudformation/test_validate.py
# Requires unpackaged py_partiql_parser.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_dynamodb/test_dynamodb_import_table.py \
	--deselect tests/test_dynamodb/test_dynamodb_statements.py \
	--deselect tests/test_s3/test_s3_select.py \
# Requires python3-antlr4 (>= 4.10).
PYBUILD_TEST_ARGS += \
	--deselect tests/test_stepfunctions/parser/ \
	--deselect 'tests/test_stepfunctions/test_stepfunctions_versions.py::test_describe_state_machine_using_version_arn[use_parser]'
# Requires python3-botocore (>= 1.37.0).
PYBUILD_TEST_ARGS += \
	--deselect tests/test_dynamodb/test_dynamodb_account_mode.py::test_dynamodb_with_account_id_routing
# Tries to look up names in the global DNS.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_entire_service \
	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_specific_url \
	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_wildcard_urls \
	--deselect tests/test_firehose/test_firehose_put.py::test_put_record_http_destination \
	--deselect tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
# Tries to look up <something>.localhost names in DNS, which doesn't work in
# sbuild/unshare.
PYBUILD_TEST_ARGS += \
	--deselect tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header \
	--deselect tests/test_s3/test_server.py::test_s3_server_post_cors_multiple_origins
ifeq ($(DEB_HOST_ARCH),i386)
# Debian's i386 port doesn't support timestamps after 2038.
PYBUILD_TEST_ARGS += \
	--ignore tests/test_route53domains/test_route53domains_domain.py
endif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/moto/moto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-moto 5.1.18

=== debian/changelog ===
python-moto (5.1.18-3) unstable; urgency=medium

  * Team upload.
  * Skip two more tests on i386 that involve post-2038 timestamps.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Dec 2025 09:59:36 +0000

python-moto (5.1.18-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-botocore (>= 1.39.11), to fix autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Dec 2025 10:59:37 +0000

python-moto (5.1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable another dynamodb test now that we have a new enough
    python3-botocore.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Dec 2025 10:37:26 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  python3-aws-xray-sdk,
  python3-boto3,
- python3-botocore,
+ python3-botocore (>= 1.39.11),
  python3-build,
  python3-click,
  python3-cryptography,

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,9 @@
 	--deselect tests/test_s3/test_s3_select.py \
 # Requires python3-antlr4 (>= 4.10).
 PYBUILD_TEST_ARGS += \
+	--deselect 'tests/test_events/test_events_sfn_integration.py::test_create_bucket_invokes_stepfunction[Mocked]' \
 	--deselect tests/test_stepfunctions/parser/ \
 	--deselect 'tests/test_stepfunctions/test_stepfunctions_versions.py::test_describe_state_machine_using_version_arn[use_parser]'
-# Requires python3-botocore (>= 1.37.0).
-PYBUILD_TEST_ARGS += \
-	--deselect tests/test_dynamodb/test_dynamodb_account_mode.py::test_dynamodb_with_account_id_routing
 # Tries to look up names in the global DNS.
 PYBUILD_TEST_ARGS += \
 	--deselect tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_entire_service \
@@ -40,7 +38,15 @@
 ifeq ($(DEB_HOST_ARCH),i386)
 # Debian's i386 port doesn't support timestamps after 2038.
 PYBUILD_TEST_ARGS += \
+	--deselect tests/test_acm/test_acm.py::test_list_certificates_with_key_types_filter \
+	--deselect tests/test_acm/test_acm.py::test_certificate_expiration_status \
 	--ignore tests/test_route53domains/test_route53domains_domain.py
+endif
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+# Relies on resource not copied into test directory.
+PYBUILD_TEST_ARGS += \
+	--deselect tests/test_ssm/test_ssm_patch_group.py::test_get_patch_baseline_for_patch_group_default \
+	--deselect tests/test_ssm/test_ssm_patch_group.py::test_deregister_patch_baseline_for_patch_group_default
 endif
 
 %:
